open Ocamlbuild_plugin;;

let base = "/home/sankur/work/program/symrob";;
let libdir = "-L" ^ base ^ "/libverifix/lib/";;
let includedir = "-I " ^ base ^ "/libverifix/include " ^ "-I /usr/local/uppaal/include "
^ "-I " ^ base ^ "/verifix/src/";;

dispatch (function
  | After_rules ->
      pdep ["link"] "linkdep" (fun param -> [param]);
      dep ["link";"ocaml";"use_cstub"] ["libcstub.a"];
      flag ["c"; "compile"]
      (S[A"-cc"; A"g++"; A"-ccopt"; A"-std=c++11"; A"-ccopt"; A includedir]);
      flag ["link"; "ocaml"; "library"; "use_cstub"]
      (S[A "-ccopt"; A libdir; A"-cclib";A"-lsimverifix"]);
      flag ["link";"ocaml";"use_cstub"]
      (S[A"-cc"; A"g++";A "libcstub.a"; A "-ccopt"; A libdir; A"-cclib";A"-lsimverifix"]);
  | _ -> ())


